Bug 286193 - The GraphMaintainer hogs up CPU usage
Summary: The GraphMaintainer hogs up CPU usage
Status: RESOLVED FIXED
Alias: None
Product: nepomuk
Classification: Unclassified
Component: storage (show other bugs)
Version: 4.7
Platform: openSUSE RPMs Linux
: VHI major with 20 votes (vote)
Target Milestone: ---
Assignee: Sebastian Trueg
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-09 14:57 UTC by S. Burmeister
Modified: 2012-06-15 17:23 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2011-11-09 14:57:59 UTC
Version:           unspecified (using KDE 4.7.2) 
OS:                Linux

This is on "almost" 4.7.3, i.e. there were branch updates taken from upstream.

When I check the status of virtuoso-t because it consumes the full CPU power forever I see the following query:

sparql select ?g ?mg where { ?g a <http://www.semanticdesktop.org/ontologies/200

Obviously this has something to do with the data nepomuk did already collect on my system, i.e. removing all old data might work around this, but the problem might re-appear if the actual cause is not fixed.
File indexing is disabled.

Full report:

REPORT
VARCHAR
_______________________________________________________________________________

OpenLink Virtuoso  Server
Version 06.01.3127-pthreads for Linux as of ??? ?? ???? 
Started on: 2011/11/09 14:53 GMT+60
Lite Mode
 
Database Status:
  File size 2629828608, 321024 pages, 107610 free.
  2000 buffers, 2000 used, 0 dirty 1 wired down, repl age 1087 0 w. io 3 w/crsr.
  Disk Usage: 822706 reads avg 0 msec, 0% r 0% w last  23 s, 59400 writes,
    2034 read ahead, batch = 24.  Autocompact 1684 in 1296 out, 23% saved.
Gate:  2493 2nd in reads, 0 gate write waits, 0 in while read 0 busy scrap. 
Log = /home/rabauke/.kde4/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.trx, 87 bytes
213077 pages have been changed since last backup (in checkpoint state)
Current backup timestamp: 0x0000-0x00-0x00
Last backup date: unknown
Clients: 24 connects, max 11 concurrent
RPC: 202324 calls, -12 pending, 5 max until now, 0 queued, 710 burst reads (0%), 36 second brk=47456256
Checkpoint Remap 0 pages, 0 mapped back. 25 s atomic time.
    DB master 321024 total 107610 free 0 remap 0 mapped back
   temp  1024 total 1019 free
 
Lock Status: 0 deadlocks of which 0 2r1w, 3 waits,
   Currently 2 threads running 0 threads waiting 0 threads in vdb.
Pending:
 
Client 1111:1:-7:  Account: dba, 3035 bytes in, 3112 bytes out, 0 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 0 threads.
Locks: 
 
Client 1111:1:-10:  Account: dba, 20080095 bytes in, 8081356 bytes out, 0 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 0 threads.
Locks: 
 
Client 1111:22:  Account: dba, 874 bytes in, 29737 bytes out, 1 stmts.
PID: 19130, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 1 threads.
Locks: 
 
Client 1111:1:-13:  Account: dba, 2434 bytes in, 1323 bytes out, 0 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 0 threads.
Locks: 
 
Client 1111:1:-3:  Account: dba, 10517273 bytes in, 8244342 bytes out, 0 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 0 threads.
Locks: 
 
Client 1111:1:-12:  Account: dba, 2434 bytes in, 1323 bytes out, 0 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 0 threads.
Locks: 
 
Client 1111:1:-2:  Account: dba, 481637 bytes in, 368239 bytes out, 1 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 1 threads.
Locks: 
 
Client 1111:1:-5:  Account: dba, 17247 bytes in, 8404 bytes out, 0 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 0 threads.
Locks: 
 
Client 1111:1:-6:  Account: dba, 122322 bytes in, 121897 bytes out, 0 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 0 threads.
Locks: 
 
Client 1111:1:-14:  Account: dba, 11534 bytes in, 7841 bytes out, 0 stmts.
PID: 18122, OS: unix, Application: unknown, IP#: 127.0.0.1
Transaction status: PENDING, 0 threads.
Locks: 
 
 
Running Statements:
 Time (msec) Text
      100016 sparql select ?g ?mg where { ?g a <http://www.semanticdesktop.org/ontologies/200
          42 status()
 
 
Hash indexes
 

84 Rows. -- 43 msec.

Enabling nepomuk's debug-output I get lots and lots of this:

NepomukServer(19803)/nepomuk (server) Nepomuk::ServiceController::stop: Stopping "nepomukstorage"
ProcessControl: Application '/usr/bin/nepomukservicestub' stopped unexpected (Process crashed)
Application '/usr/bin/nepomukservicestub nepomukstorage' crashed. No restart!
Service 'org.kde.NepomukServer' does not exist.
rabauke@linux-ly0d:/usr/bin> qdbus org.kde.NepomukServer /nepomukserver quit
Service 'org.kde.NepomukServer' does not exist.
rabauke@linux-ly0d:/usr/bin> nepomukserver 
NepomukServer(1368)/nepomuk (server) Nepomuk::Server::enableNepomuk: enableNepomuk true
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "nepomukqueryservice"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: Queueing "nepomukqueryservice" due to dependency "nepomukstorage"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "nepomukstorage"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceController::start: Starting "nepomukstorage"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "digikamnepomukservice"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: Queueing "digikamnepomukservice" due to dependency "nepomukstorage"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "nepomukstorage"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "nepomukbackupsync"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: Queueing "nepomukbackupsync" due to dependency "nepomukstorage"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "nepomukfilewatch"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: Queueing "nepomukfilewatch" due to dependency "nepomukstorage"
rabauke@linux-ly0d:/usr/bin> [/usr/bin/nepomukservicestub] nepomukstorage(1370) main: Failed to lower scheduling priority.
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceController::slotServiceRegistered: "org.kde.nepomuk.services.nepomukstorage"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceController::createServiceControlInterface: Service "nepomukstorage" not initialized yet. Listening for signal.
[/usr/bin/nepomukservicestub] Using Virtuoso Version: "6.1.3.3127-pthreads" 
Using Virtuoso Version: "6.1.3.3127-pthreads" 
nepomukstorage(1370)/nepomuk (storage service) Nepomuk::Repository::open: opening repository ' "main" ' at ' "/home/rabauke/.kde4/share/apps/nepomuk/repository/main/" '
void Soprano::VirtuosoController::writeConfigFile(const QString&, const Soprano::BackendSettings&) "/tmp/virtuoso_dT1370.ini" 
Starting Virtuoso server: "/usr/bin/virtuoso-t" ("+foreground", "+configfile", "/tmp/virtuoso_dT1370.ini", "+wait")
[/usr/bin/nepomukservicestub] "
"
[/usr/bin/nepomukservicestub] "         Wed Nov 09 2011
"
[/usr/bin/nepomukservicestub] "15:52:34 OpenLink Virtuoso Universal Server
"
[/usr/bin/nepomukservicestub] "15:52:34 Version 06.01.3127-pthreads for Linux as of ??? ?? ????
"
[/usr/bin/nepomukservicestub] "15:52:34 uses parts of OpenSSL, PCRE, Html Tidy
"
[/usr/bin/nepomukservicestub] "15:52:34 Database version 3126
"
[/usr/bin/nepomukservicestub] "15:52:34 Starting a database that was killed during checkpoint.  Recovering using checkpoint recov file.
"
[/usr/bin/nepomukservicestub] "15:52:42 Moving /home/rabauke/.kde4/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.cpt to /home/rabauke/.kde4/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.cpt-after-recov for future reference.
"
[/usr/bin/nepomukservicestub] "15:52:42 Database recovery done from checkpoint recovery file, hence ignoring transaction log /home/rabauke/.kde4/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.trx.
"
[/usr/bin/nepomukservicestub] "15:52:42 Moving /home/rabauke/.kde4/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.trx to /home/rabauke/.kde4/share/apps/nepomuk/repository/main/data/virtuosobackend/soprano-virtuoso.trx-after-recov for future reference.
"
[/usr/bin/nepomukservicestub] "15:52:42 9879 pages processed based on checkpoint recov file.
"
[/usr/bin/nepomukservicestub] "15:52:43 Entering Lite Mode
"
[/usr/bin/nepomukservicestub] "15:52:43 SQL Optimizer enabled (max 1000 layouts)
"
[/usr/bin/nepomukservicestub] "15:52:44 Compiler unit is timed at 0.001187 msec
"
[/usr/bin/nepomukservicestub] "15:52:45 Roll forward started
"
[/usr/bin/nepomukservicestub] "15:52:45 Roll forward complete
"
[/usr/bin/nepomukservicestub] "15:52:51 Checkpoint started
"
[/usr/bin/nepomukservicestub] "15:52:51 Checkpoint finished, log reused
"
[/usr/bin/nepomukservicestub] "15:52:54 Server online at 1112 (pid 1376)
"
[/usr/bin/nepomukservicestub] Virtuoso started: 1376
[/usr/bin/nepomukservicestub] Soprano::ODBC::ConnectionPool::ConnectionPool(const QString&, const QStringList&, QObject*) "host=localhost:1112;uid=dba;pwd=dba;driver=/usr/lib64/virtodbc_r.so"
[/usr/bin/nepomukservicestub] Soprano::ODBC::Connection::Connection() QThread(0x60e970)
[/usr/bin/nepomukservicestub] "/usr/bin/nepomukservicestub(1370)" Soprano: "SQLGetData for data length failed (iODBC Error: [OpenLink][Virtuoso iODBC Driver]CL056: Bookmarks not enable for statement)"
[/usr/bin/nepomukservicestub] bool Soprano::Virtuoso::DatabaseConfigurator::updateFulltextIndexRules(bool) empty rule name!
[/usr/bin/nepomukservicestub] virtual Soprano::ODBC::Connection::~Connection() QThread(0x60e970)
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) Nepomuk::Repository::open: Successfully created new model for repository "main"
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) Nepomuk::GraphMaintainer::run: Running graph maintenance
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) CrappyInferencer2::updateInferenceIndex:
[/usr/bin/nepomukservicestub] Soprano::ODBC::Connection::Connection() QThread(0x60e970)
[/usr/bin/nepomukservicestub] Soprano::ODBC::Connection::Connection() Nepomuk::GraphMaintainer(0x866ea0)
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) Nepomuk::Repository::open: no need to convert "main"
[/usr/bin/nepomukservicestub] nepomukstorage(1370) KDirWatchPrivate::KDirWatchPrivate: INotify available:  true
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) Nepomuk::OntologyLoader::OntologyLoader: watching "/home/rabauke/.local/share/ontology/"
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) Nepomuk::OntologyLoader::OntologyLoader: watching "/usr/share/ontology/"
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) CrappyInferencer2::updateInferenceIndex:
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) CrappyInferencer2::updateAllResources:
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) Nepomuk::Storage::slotNepomukCoreInitialized: Successfully initialized nepomuk core
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceController::slotServiceInitialized: Service "nepomukstorage" initialized
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::_k_serviceInitialized: Service initialized: "nepomukstorage"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startPendingServices: "nepomukstorage" QSet(Nepomuk::ServiceController(0x6fa640) ,  Nepomuk::ServiceController(0x6fb6b0) ,  Nepomuk::ServiceController(0x6f98e0) ,  Nepomuk::ServiceController(0x6f9890) )
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "nepomukbackupsync"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceController::start: Starting "nepomukbackupsync"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "nepomukfilewatch"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceController::start: Starting "nepomukfilewatch"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "digikamnepomukservice"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceController::start: Starting "digikamnepomukservice"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceManager::Private::startService: "nepomukqueryservice"
NepomukServer(1368)/nepomuk (server) Nepomuk::ServiceController::start: Starting "nepomukqueryservice"
[/usr/bin/nepomukservicestub] nepomukstorage(1370)/nepomuk (storage service) CrappyInferencer2::UpdateAllResourcesThread::run:
[/usr/bin/nepomukservicestub] Soprano::ODBC::Connection::Connection() QThread(0xc8ba70)
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 1
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 2
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 3
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 4
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 5
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 6
[/usr/bin/nepomukservicestub] Unknown command:  299 closing connection
.
.
.
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 10
[/usr/bin/nepomukservicestub] Unknown command:  209 closing connection
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::ServerConnection::run() thread done.
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCore::serverConnectionFinished() 
virtual Soprano::Server::ServerConnection::~ServerConnection() Removing connection 
void Soprano::Server::ServerCore::serverConnectionFinished() Connection removed. Current count: 9
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 10
[/usr/bin/nepomukservicestub] Unknown command:  209 closing connection
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::ServerConnection::run() thread done.
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCore::serverConnectionFinished()
[/usr/bin/nepomukservicestub] virtual Soprano::Server::ServerConnection::~ServerConnection() Removing connection
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCore::serverConnectionFinished() Connection removed. Current count: 9
[/usr/bin/nepomukservicestub] virtual void Soprano::Server::LocalServer::incomingConnection(quintptr)
[/usr/bin/nepomukservicestub] void Soprano::Server::ServerCorePrivate::addConnection(Soprano::Server::ServerConnection*) New connection. New count: 10
[/usr/bin/nepomukservicestub] Unknown command:  209 closing connection

Not sure how to find out the command which is unknown and causing those notifications.

The "funny" thing is that they stop as soon as I get:

"/usr/bin/nepomukservicestub(1370)" Soprano: "SQLExecDirect failed on query 'sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk' (iODBC Error: [OpenLink][Virtuoso iODBC Driver][Virtuoso Server]SQ074: Line 1: SP030: SPARQL compiler, line 1: syntax error at '<' before 'http:' at '' immediately before end of statement)"
Query failed: "sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk" 
"/usr/bin/nepomukservicestub(1370)" Soprano: "SQLExecDirect failed on query 'sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk' (iODBC Error: [OpenLink][Virtuoso iODBC Driver][Virtuoso Server]SQ074: Line 1: SP030: SPARQL compiler, line 1: syntax error at '<' before 'http:' at '' immediately before end of statement)"
"/usr/bin/nepomukservicestub(1370)" Soprano: "SQLExecDirect failed on query 'sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk' (iODBC Error: [OpenLink][Virtuoso iODBC Driver][Virtuoso Server]SQ074: Line 1: SP030: SPARQL compiler, line 1: syntax error at '<' before 'http:' at '' immediately before end of statement)"
"/usr/bin/nepomukservicestub(1370)" Soprano: "SQLExecDirect failed on query 'sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk' (iODBC Error: [OpenLink][Virtuoso iODBC Driver][Virtuoso Server]SQ074: Line 1: SP030: SPARQL compiler, line 1: syntax error at '<' before 'http:' at '' immediately before end of statement)"
"/usr/bin/nepomukservicestub(1370)" Soprano: "SQLExecDirect failed on query 'sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk' (iODBC Error: [OpenLink][Virtuoso iODBC Driver][Virtuoso Server]SQ074: Line 1: SP030: SPARQL compiler, line 1: syntax error at '<' before 'http:' at '' immediately before end of statement)"
"/usr/bin/nepomukservicestub(1370)" Soprano: "SQLExecDirect failed on query 'sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk' (iODBC Error: [OpenLink][Virtuoso iODBC Driver][Virtuoso Server]SQ074: Line 1: SP030: SPARQL compiler, line 1: syntax error at '<' before 'http:' at '' immediately before end of statement)"
"/usr/bin/nepomukservicestub(1370)" Soprano: "SQLExecDirect failed on query 'sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk' (iODBC Error: [OpenLink][Virtuoso iODBC Driver][Virtuoso Server]SQ074: Line 1: SP030: SPARQL compiler, line 1: syntax error at '<' before 'http:' at '' immediately before end of statement)"
"/usr/bin/nepomukservicestub(1370)" Soprano: "SQLExecDirect failed on query 'sparql select distinct ?r ?reqProp1 (bif:concat(bif:search_excerpt(bif:vector(bif:charset_recode('hallo', '_WIDE_', 'UTF-8')), ?v4))) as ?_n_f_t_m_ex_ where { { ?r <http://akonadi-project.org/ontologies/aneo#akonadiItemId> ?reqProp1 . ?r <http://www.semanticdesk' (iODBC Error: [OpenLink][Virtuoso iODBC Driver][Virtuoso Server]SQ074: Line 1: SP030: SPARQL compiler, line 1: syntax error at '<' before 'http:' at '' immediately before end of statement)"
virtual void Soprano::Server::LocalServer::incomingConnection(quintptr) 


Reproducible: Always

Steps to Reproduce:
enable nepomuk's debugging
Enable nepomuk (not the indexer)

Actual Results:  
Watch its constant, high CPU usage and errors in the debug output.

Expected Results:  
Unnoticeable cpu consumption.
No unknown commands or syntax errors.
Comment 1 Andre Woebbeking 2011-12-14 08:58:58 UTC
Same here with uptodate 4.7 branch. I also disabled the file indexing and removed nepomuk's database when it had grown to 5GB. After some time I'm again at 2GB and KMail becomes slower every day :-(
Comment 2 Vishesh Handa 2012-06-13 21:57:27 UTC
Updating priority and confirming.

I'll start working on the fix.
Comment 3 Vishesh Handa 2012-06-15 17:23:03 UTC
Git commit cb0501062945872f5420aacf8f691e8ca29f39ee by Vishesh Handa.
Committed on 15/06/2012 at 19:16.
Pushed by vhanda into branch 'master'.

Remove the GraphMaintainer

The GraphMaintainer's job is to remove old empty graph which have
somehow appeared due to buggy code. They do not really harm anyone, but
this approach of removing them on startup really makes virtuoso cpu
usage spike for a very long time.

It would be better to have some kind of "Data Cleaning" application for
Nepomuk which would migrate old data and clean up invalid data like
this.

M  +0    -1    services/storage/CMakeLists.txt
D  +0    -108  services/storage/graphmaintainer.cpp
D  +0    -53   services/storage/graphmaintainer.h
M  +0    -9    services/storage/repository.cpp
M  +0    -3    services/storage/repository.h

http://commits.kde.org/nepomuk-core/cb0501062945872f5420aacf8f691e8ca29f39ee